Skip to main content
POST

JSON Ledger API

Query completions list (blocking call) Deprecated: please use GetCompletions instead

OpenAPISince 3.4Changed 3.5
Query completions list (blocking call) Deprecated: please use GetCompletions instead. Subscribe to command completion events. Notice: This endpoint should be used for small results set. When number of results exceeded node configuration limit (http-list-max-elements-limit) there will be an error (413 Content Too Large) returned. Increasing this limit may lead to performance issues and high memory consumption.

Protocol Details

Operation IDpostV2CommandsCompletions
AuthenticationBearer token
Published3.5

Inputs

Query parameters

number
OpenAPI type: integer (int64).maximum number of elements to return, this param is ignored if is bigger than server setting
number
OpenAPI type: integer (int64).timeout to complete and send result if no new elements are received (for open ended streams)

Request body

application/json
string
Only completions of commands submitted with the same user_id will be visible in the stream. Must be a valid UserIdString (as described in value.proto). Required unless authentication is used with a user token. In that case, the token’s user-id will be used for the request’s user_id. Optional
string[]
required
Non-empty list of parties whose data should be included. The stream shows only completions of commands for which at least one of the act_as parties is in the given set of parties. Must be a valid PartyIdString (as described in value.proto). Required: must be non-empty
number
OpenAPI type: integer (int64).This optional field indicates the minimum offset for completions. This can be used to resume an earlier completion stream. If not set the ledger uses the ledger begin offset instead. If specified, it must be a valid absolute offset (positive integer) or zero (ledger begin offset). If the ledger has been pruned, this parameter must be specified and greater than the pruning offset. Optional

Outputs

200

application/json
CompletionStreamResponse[]
required

400

text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Changed3.5

The POST /v2/commands/completions operation changed in this snapshot.

Introduced3.4